SITETB - Feature #55

Feature # 217 (New): Implementacdo do Quartz no SITETB / eTB Manager

Alerta de Expiracao de Medicamentos [SITETB-54]
07/26/2012 01:47 PM - Mauricio Dos Santos

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Mauricio Dos Santos % Done: 80%
Category: Estimated time: 0.00 hour
Target version: Verséo atual Spent time: 0.00 hour
Componente: Medicamentos

Description

O sistema devera dar um alerta para o tempo de expiracdo de medicamentos para que possibilite a transferéncia dos mesmos,
evitando perdas. Esse alerta pode ser por meio de etiqueta. Esse tempo de antecedéncia precisa ser definido: trés ou seis meses. O
sistema, além de gerar uma etiqueta automatica, podera enviar email.

History

#1 - 07/26/2012 02:55 PM - Ricardo Memoria

- Target version deleted (Version 2.1)

#2 - 08/27/2012 12:35 PM - Mauricio Dos Santos

- Status changed from New to In Progress

Ricardo,

Nao lembro oq eu ficou definido para essa tarefa, e foi envio de email, alerta na pagina inicial... poderia me recordar?

#3 - 08/29/2012 09:10 AM - Mauricio Dos Santos

- Assignee changed from Mauricio Dos Santos to Ricardo Memoria

#4 - 09/20/2012 09:37 AM - Mauricio Dos Santos

- Assignee changed from Ricardo Memoria to Cristiane Angeli David

Cris,

Voce lembra o que ficou decidido para essa tarefa?
Me lembro vagamente de que na tela inicial de medicamentos seria exibido uma tabela com uma listagem, foi isso mesmo?

#5 - 09/20/2012 10:58 AM - Cristiane Angeli David

Oi Mauricio,

Acho que a linha na tabela que aparece o medicamento com prazo de validade a expirar em 6 meses deve ser destacada em outra cor (amarelo) e o
sistema poderia mandar um alerta via email também.

Nao me lembro se j& haviamos decidido isso, mas desse jeito que eu falei jpa resolveria o problema!

Bjs
Cris.

Mauricio Dos Santos wrote:
Cris,

Voce lembra o que ficou decidido para essa tarefa?
Me lembro vagamente de que na tela inicial de medicamentos seria exibido uma tabela com uma listagem, foi isso mesmo?

#6 - 09/20/2012 02:55 PM - Mauricio Dos Santos

- Assignee changed from Cristiane Angeli David to Mauricio Dos Santos

#7 - 10/02/2012 11:06 AM - Mauricio Dos Santos

Cristiane,
Hoje o sistema ja exibe uma exclamacgéo ao lado do medicamento que tem um lote expirado.
Estava pensando em pintar de vermelho a linha dos medicamentos que ja expiraram, e exibir a exclamagéo para os que vao expirar, o que acha?

E além de exibir esse alerta na pagina inicial dos medicamentos, colocar também nos outros lugares, como no formulario de dispensacéo e de
ajuste...

Estou verificando a possibilidade do envio de email...

#8 - 10/02/2012 11:06 AM - Mauricio Dos Santos
- Status changed from In Progress to Feedback

- Assignee changed from Mauricio Dos Santos to Cristiane Angeli David

#9 - 10/11/2012 07:32 PM - Cristiane Angeli David

Oi Mauricio!
Achei a idéia 6tima! Faga assim mesmo que no treinamento eu explico para eles o que significa.
Mauricio Dos Santos wrote:

Cristiane,

Hoje o sistema ja exibe uma exclamagao ao lado do medicamento que tem um lote expirado.

Estava pensando em pintar de vermelho a linha dos medicamentos que ja expiraram, e exibir a exclamag&o para 0s que vao expirar, 0 que
acha?

E além de exibir esse alerta na pagina inicial dos medicamentos, colocar também nos outros lugares, como no formulario de dispensagéo e de
ajuste...

Estou verificando a possibilidade do envio de email...
#10 - 10/16/2012 01:43 PM - Mauricio Dos Santos

- Assignee changed from Cristiane Angeli David to Mauricio Dos Santos

#11 - 10/16/2012 05:21 PM - Mauricio Dos Santos
- Assignee changed from Mauricio Dos Santos to Ricardo Memoria

- % Done changed from 0 to 80

A parte de exibicdo de alertas ao usuario ja foi implementada, a parte e envio de e-mail sera analisada junto ao ricardo nessa quinta-feira.

#12 - 10/17/2012 09:42 AM - Cristiane Angeli David

Oi Mauricio,

Ficou combinado que somente os medicamentos vencidos ficariam em vermelho e que os medicamentos a vencer ficariam apenas com a
exclamagéo, certo?

No teste vi que os medicamentos A VENCER estdo em vermelho E com exclamagéo.

Olhei no ambiente de testes, na Unidade VIGILANCIA EPIDEMIOLOGICA DE CACADOR
Cacador - Santa Catarina

Veja l4..
Bjs

Mauricio Dos Santos wrote:

A parte de exibicdo de alertas ao usuario ja foi implementada, a parte e envio de e-mail sera analisada junto ao ricardo nessa quinta-feira.

#13 - 10/17/2012 09:46 AM - Mauricio Dos Santos
- File cris.png added

Cristiane,

Na verdade eu pinte de um amarelo escuro ou abobora... Veja o anexo, ndo estd vermelho ndo esta abobora... Veja o anexo

#14 - 10/17/2012 09:48 AM - Mauricio Dos Santos

Da uma olhadinha no Octavio Mangabeira...

A Amicacina 500 mg tem lotes a vencer e vencidos

O Etambutol 400mg (comprimido) tem sé lotes vencidos

O Levofloxacino 500mg (comprimido) tem sé lotes a vencer

La voce vai ver todos os exemplos como ficaram...

06/27/2025 3/5



#15 - 10/17/2012 11:09 AM - Cristiane Angeli David

Vamos la:
Acho que ficou confuso laranja e vermelho!
Vamos fazer o seguinte:

Lotes vencidos: pintar o preenchimento da célula em vermelho e ndo a cor da letra.
Lotes a vencer: exibir apenas a exclamagao, sem pintar a letra ou o preenchimento da célula de outra cor.

Pergunta:
A exclamagao vai aparecer com quantos meses de antecedéncia do vencimento do lote?

Bjs
Mauricio Dos Santos wrote:
Da uma olhadinha no Octavio Mangabeira...
A Amicacina 500 mg tem lotes a vencer e vencidos
O Etambutol 400mg (comprimido) tem sé lotes vencidos

O Levofloxacino 500mg (comprimido) tem sé lotes a vencer

La voce vai ver todos os exemplos como ficaram...

#16 - 10/17/2012 01:16 PM - Mauricio Dos Santos

E configuravel no workspace, atualmente esta configurado como 6...

#17 - 10/18/2012 12:25 PM - Ricardo Memoria
- Parent task set to #217

Aguardando concluséo da atividade #217

#18 - 10/25/2012 11:55 AM - Cristiane Angeli David

Legal, vi como ficou...
Depois ajustamos os detalhes de cores...o principal ja foi feito. J& mostrei aqui no treinamento de Natal.

Obrigada!
Mauricio Dos Santos wrote:

E configuravel no workspace, atualmente esta configurado como 6...
http://dev.msh.org/redmine/issues/217

#19 - 10/30/2012 02:49 PM - Mauricio Dos Santos
- Status changed from Feedback to Closed

Qualquer outra solicitagao reabra essa tarefa ou crie uma nova...

#20 - 10/30/2012 02:50 PM - Mauricio Dos Santos

- Assignee changed from Ricardo Memoria to Mauricio Dos Santos
